#ifndef LIBVODISP_H
#define LIBVODISP_H

#include <stdint.h>

#ifdef __cplusplus
extern "C" {
#endif

#define FRAMESIZE16		768000      // 800 x 480 x 2
#define FRAMESIZE24		1152000     // 800 x 480 x 3
#define FRAMESIZE32		1536000     // 800 x 480 x 4
#define FRAMESIZE		FRAMESIZE24

#define VODISP_DIMMER		0x01

#define VODISP_PIXFMT		0x02
#define VODISP_PIXFMT_24BIT	0x01
#define VODISP_PIXFMT_16BIT	0x02
#define VODISP_PIXFMT_32BIT	0x04
#define VODISP_PIXFMT_8BIT	0x08

#define EXPORT_API __attribute__ ((visibility("default")))

#define VODISP_TYPE_VOCORE2	"vocore2"
#define VODISP_TYPE_DJN1522	"djn1522"
#define VODISP_TYPE_TOUCH0X	"touch0x"

EXPORT_API int vodisp_connect(const char *name);
EXPORT_API int vodisp_disconnect();
EXPORT_API int vodisp_write_frame(char *);
EXPORT_API int vodisp_control(int type, int *par);

#ifdef __cplusplus
}
#endif

#endif // LIBVODISP_H
